Bug 1807073 - Unable to render iPXE template 'Kickstart default iPXE': no implicit conversion of URI::HTTP into String"]
Summary: Unable to render iPXE template 'Kickstart default iPXE': no implicit conversi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: 6.9.0
Assignee: Oleh Fedorenko
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-25 14:55 UTC by Rafael Cavalcanti
Modified: 2021-04-21 13:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:12:25 UTC
Target Upstream Version:


Attachments (Terms of Use)
Kickstart Default IPXE error (109.34 KB, image/png)
2020-02-25 14:55 UTC, Rafael Cavalcanti
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 29191 0 High Closed Unable to render iPXE template 'Kickstart default iPXE': no implicit conversion of URI::HTTP into String" 2021-02-15 20:58:38 UTC

Description Rafael Cavalcanti 2020-02-25 14:55:47 UTC
Created attachment 1665659 [details]
Kickstart Default IPXE error

Description of problem:

Unable to render iPXE template 'Kickstart default iPXE': no implicit conversion of URI::HTTP into String"]

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a Host and fill all the mandatory fields
2. Under the 'Parameters' tab, add a host parameter as below:
   -> Name: kickstart_liveimg
   -> Type: string
   -> Value: custom/RHEL_8_Image/RHEL_8_Image/devserver2-1.tar.xz
   
3. Click on 'Submit'

Actual results:
We get the below message:
---
The following errors may prevent a successful build:

Templates

Failure parsing Kickstart default iPXE: no implicit conversion of URI::HTTP into String. 
---
Expected results:
The build finishes successfully


Additional info:
Workaround:
Change 'Kickstart default iPXE' template as below:

Modify the line below from: 
stage2 = host_param('kickstart_liveimg') ? 'inst.stage2=' + medium_uri : ''
To:
stage2 = host_param('kickstart_liveimg') ? 'inst.stage2=' + medium_uri.to_s : ''

Comment 3 Rafael Cavalcanti 2020-02-25 16:09:59 UTC
How reproducible:
100%

Comment 5 Oleh Fedorenko 2020-02-26 15:46:01 UTC
Created redmine issue https://projects.theforeman.org/issues/29191 from this bug

Comment 6 Bryan Kearney 2020-02-26 17:05:35 UTC
Upstream bug assigned to ofedoren

Comment 7 Bryan Kearney 2020-02-26 17:05:37 UTC
Upstream bug assigned to ofedoren

Comment 8 Bryan Kearney 2020-02-28 13:05:30 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/29191 has been resolved.

Comment 13 Oleh Fedorenko 2021-03-22 14:00:29 UTC
Clearing needinfo since it was resolved.

Comment 14 Roman Plevka 2021-03-22 16:04:36 UTC
VERIFIED
on sat6.9.0-18.0

successfully saved the parameter according the steps in description.
I'm also able to "preview" the template for the host with no errors.

Comment 17 errata-xmlrpc 2021-04-21 13:12:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.